package Dahdi::Hardware::SARADC;
#
# Written by Oron Peled <oron@actcom.co.il>
# Copyright (C) 2007, Xorcom
# This program is free software; you can redistribute and/or
# modify it under the same terms as Perl itself.
#
# $Id$
#
use strict;
use Dahdi::Utils;
use Dahdi::Hardware;

our @ISA = qw(Dahdi::Hardware);

my %saradc_ids = (
	# from wcusb
	'0000:0000'	=> { DRIVER => 'sif32', DESCRIPTION => 'Synway' },
	);


$ENV{PATH} .= ":/usr/sbin:/sbin:/usr/bin:/bin";

sub new($@) {
	my $pack = shift or die "Wasn't called as a class method\n";
	my %attr = @_;
	my $name = sprintf("usb:%s", $attr{PRIV_DEVICE_NAME});
	my $self = Dahdi::Hardware->new($name, 'SARADC');
	%{$self} = (%{$self}, %attr);
	bless $self, $pack;
	return $self;
}

sub scan_devices_sysfs($) {
	my $pack = shift || die;
	my @devices = ();

        if ( -d '/sys/bus/platform/drivers/saradc' ) {
            my $vendor = '0000';
            my $product = '0000';
	    my $model = $saradc_ids{"$vendor:$product"};

            my $d = Dahdi::Hardware::SARADC->new(
			VENDOR			=> $vendor,
			PRODUCT			=> $product,
			DESCRIPTION		=> $model->{DESCRIPTION},
			DRIVER			=> $model->{DRIVER},
			);
            push(@devices, $d);

        }

	return @devices;
}

sub scan_devices($) {
	my $pack = shift || die;
	return $pack->scan_devices_sysfs();
}

1;
